/* Importação de Fontes e Configurações Globais */
:root {
    --cor-branco: #fff;
    --cor-preto: #000;
    --cor-cinza-1: #d2d3e1;
    --cor-cinza-2: #57586f;
    --cor-azul-1: #00007d;
    --cor-azul-2: #00f;
    --cor-azul-3: #00c8ff;
    --cor-escuro-1: #03030e;
    --cor-escuro-2: #07073c;
    --cor-escuro-3: #2d2d63;
    --cor-escuro-6: #bfbfc9;
    --degrade-texto: #fff, #a8afba;
    --f0: 10px;
    --f1: 12px;
    --f2: 14px;
    --f3: 18px;
    --f4: 25px;
    --f5: 35px;
    --f6: 45px;
    --f7: 60px;
    --estilo: "stolzl-regular";
    --regular: "figtree-regular";
    --bold: "figtree-bold";
    --light: "figtree-light";
}

@font-face {
    font-display: swap;
    font-family: stolzl-regular;
    src: url(../fonts/stolzl-regular.woff) format("woff");
}
@font-face {
    font-display: swap;
    font-family: figtree-light;
    src: url(../fonts/Figtree-Light.woff) format("woff");
}
@font-face {
    font-display: swap;
    font-family: figtree-bold;
    src: url(../fonts/Figtree-Bold.woff) format("woff");
}
@font-face {
    font-display: swap;
    font-family: figtree-regular;
    src: url(../fonts/Figtree-Regular.woff) format("woff");
}

* {
    border: 0;
    box-sizing: border-box;
    font-size: 100%;
    font: inherit;
    margin: 0;
    padding: 0;
    text-decoration: none;
    vertical-align: baseline;
}

html {
    line-height: 1.15;
    scroll-behavior: smooth;
}

body, html {
    background-color: var(--cor-escuro-1);
}

a, button {
    cursor: pointer !important;
}

/* Animações */
@keyframes girando {
    0% { transform: rotate(0); }
    to { transform: rotate(1turn); }
}
@keyframes fadeIn {
    0% { opacity: 0; visibility: hidden; }
    to { opacity: 1; visibility: visible; }
}

/* Navegação */
nav {
    align-items: center;
    background-color: var(--cor-escuro-1);
    border-radius: 0 0 20px 20px;
    display: flex;
    height: 50px;
    justify-content: space-between;
    left: 40px;
    padding: 0 6px 0 15px;
    position: fixed;
    top: 0;
    width: calc(100% - 80px);
    z-index: 10;
}
nav svg.canto {
    position: absolute;
    top: 0;
    width: 30px;
    fill: var(--cor-escuro-1);
}
nav svg.canto.um { left: -30px; transform: scaleX(-1); }
nav svg.canto.dois { right: -30px; }
nav .logo img { max-width: 140px; width: 100%; }
nav .opcoes { align-items: center; display: flex; }
nav .opcoes a.opcao {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f1);
    margin: 0 0 0 20px;
    transition: all .3s;
}
nav .opcoes a.opcao:hover { color: var(--cor-branco); }
nav a.contato {
    align-items: center;
    background-color: var(--cor-azul-2);
    border-radius: 13px 0;
    color: var(--cor-branco);
    display: flex;
    font-family: var(--bold);
    font-size: var(--f1);
    justify-content: center;
    padding: 11px 20px;
    position: relative;
    transition: all .3s;
    margin-left: 20px;
}
nav a.contato:hover { background-color: var(--cor-azul-1); }
nav a.contato:hover svg.bordinha { fill: var(--cor-azul-1); }
nav a.contato svg.bordinha {
    min-width: 10px;
    position: absolute;
    right: -10px;
    top: 0;
    width: 10px;
    fill: var(--cor-azul-2);
    transition: all .3s;
}
nav a.contato svg.icone {
    min-width: 15px;
    width: 15px;
    fill: var(--cor-branco);
    margin: 0 8px 0 0;
}
nav button.menu {
    align-items: center;
    background-color: var(--cor-escuro-2);
    border-radius: 50%;
    display: none;
    height: 35px;
    justify-content: center;
    margin-left: auto;
    transition: all .3s;
    width: 35px;
    border: none;
    cursor: pointer;
}
nav button.menu.ativo { background-color: var(--cor-escuro-3); }
nav button.menu svg {
    min-width: 20px;
    width: 20px;
    fill: var(--cor-branco);
}

/* Header */
section.header {
    min-height: 100vh;
    overflow: hidden;
    position: relative;
    width: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
}
section.header .circulo {
    bottom: 35px;
    height: 60px;
    left: 50%;
    position: absolute;
    transform: translate(-50%);
    width: 60px;
    z-index: 4;
}
section.header .circulo span {
    border: 4px solid var(--cor-branco);
    border-bottom: 4px solid transparent;
    border-radius: 50%;
    border-top: 4px solid transparent;
    height: 60px;
    width: 60px;
}
section.header .sombra, section.header .vanta {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}
section.header .sombra {
    background: linear-gradient(0deg, #0000ff68, #00f0, #0000ff68);
    z-index: 3;
}
section.header .vanta { z-index: 2; }
section.header .titulo {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    z-index: 4;
}
section.header h1 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f6);
    line-height: 1.1;
    max-width: 550px;
    width: 100%;
}
section.header p {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f2);
    line-height: 1.5;
    margin: 15px 0 20px;
    max-width: 450px;
    width: 100%;
}
section.header .botoes a.um {
    align-items: center;
    display: flex;
    background: radial-gradient(50% 50% at 50% 0, hsla(0, 0%, 100%, .8) 0, transparent 100%), #fff3;
    border-radius: 8px;
    box-shadow: 0 -4px 16px #fff3;
    color: var(--cor-branco);
    font-family: var(--estilo);
    font-size: var(--f2);
    justify-content: center;
    padding: 20px 25px;
    transition: all .3s;
}
section.header .botoes a.um:hover {
    background-color: #ffffffe6;
    box-shadow: 0 -4px 28px #ffffff4d;
    color: var(--cor-escuro-1);
}

/* Clientes */
section.clientes {
    align-items: center;
    background: linear-gradient(0deg, var(--cor-azul-2), var(--cor-azul-1));
    display: flex;
    justify-content: space-between;
    padding: 20px 0;
    width: 100%;
    overflow: hidden;
}
section.clientes .slides {
    display: flex;
    flex-direction: column;
    width: 70%;
}
section.clientes .slides .slide {
    border-left: 1px solid var(--cor-branco);
    display: flex;
    overflow: hidden;
    width: 100%;
}
section.clientes .slides .slide.um {
    align-items: flex-start;
    justify-content: flex-start;
    padding: 0 0 20px;
}
section.clientes .slides .slide.dois {
    align-items: flex-end;
    justify-content: flex-end;
}
section.clientes .slides .slide .conteudo {
    align-items: center;
    display: flex;
    animation: movendoSlide 300s linear infinite;
}
section.clientes .slides .slide.dois .conteudo {
    animation-name: movendoSlideDois;
}
@keyframes movendoSlide {
    0% { transform: translate(0); }
    50% { transform: translate(-1500px); } /* Ajustado */
    100% { transform: translate(0); }
}
@keyframes movendoSlideDois {
    0% { transform: translate(0); }
    50% { transform: translate(1500px); } /* Ajustado */
    100% { transform: translate(0); }
}
section.clientes .slides .slide .conteudo img {
    margin: 0 20px;
    max-height: 20px;
}
section.clientes .slides .slide.dois .conteudo img {
    max-height: 35px;
    min-width: 80px;
}
section.clientes .titulo {
    display: flex;
    padding: 40px;
    width: 30%;
}
section.clientes .titulo h2 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f3);
    line-height: 1.4;
    max-width: 500px;
    width: 100%;
}

/* Projetos */
section.projetos {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    padding: 80px 40px;
    position: relative;
}
section.projetos img.divisor {
    position: absolute;
    width: 120%;
    z-index: 3;
}
section.projetos img.divisor.um { top: -1px; }
section.projetos img.divisor.dois { bottom: -1px; }
section.projetos .titulo {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 0 50px;
    text-align: center;
}
section.projetos .titulo h2 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f5);
    line-height: 1.1;
    max-width: 500px;
    width: 100%;
}
section.projetos .itens {
    align-items: stretch;
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 20px;
}
section.projetos .item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: calc(33.33% - 10px);
}
section.projetos .item .imagem {
    align-items: flex-end;
    border-left: 2px solid var(--cor-escuro-2);
    border-radius: 10px 10px 0 0;
    border-right: 2px solid var(--cor-escuro-2);
    border-top: 2px solid var(--cor-escuro-2);
    display: flex;
    justify-content: flex-end;
    min-height: 220px;
    padding: 30px 30px 0;
    width: 100%;
}
section.projetos .item .imagem img { width: 100%; }
section.projetos .item .texto {
    align-items: flex-start;
    background: linear-gradient(140deg, var(--cor-escuro-1) 20%, var(--cor-escuro-2) 50%, var(--cor-azul-2) 80%, var(--cor-azul-3));
    border-left: 2px solid var(--cor-escuro-2);
    border-radius: 0 0 10px 10px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: 30px;
    width: 100%;
}
section.projetos .item .texto img.logo {
    margin: 0 0 20px;
    max-height: 20px;
    width: auto;
}
section.projetos .item .texto h3 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f4);
}
section.projetos .item .texto p {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f2);
    line-height: 1.5;
    margin: 15px 0 20px;
}
section.projetos .item .tecnologias {
    align-items: center;
    display: flex;
    margin: 0 0 25px;
}
section.projetos .item .tecnologias img {
    margin: 0 10px 0 0;
    max-height: 15px;
}
section.projetos .item .tecnologias h4 {
    color: var(--cor-branco);
    font-family: var(--bold);
    font-size: var(--f1);
}
section.projetos .item a.botao {
    align-items: center;
    background: radial-gradient(50% 50% at 50% 0, hsla(0, 0%, 100%, .8) 0, transparent 100%), #fff3;
    border-radius: 8px;
    box-shadow: 0 -4px 16px #fff3;
    color: var(--cor-branco);
    display: flex;
    font-family: var(--estilo);
    font-size: var(--f2);
    justify-content: center;
    margin-top: auto;
    padding: 20px 25px;
    transition: all .3s;
}
section.projetos .item a.botao:hover {
    background-color: #ffffffe6;
    box-shadow: 0 -4px 28px #ffffff4d;
    color: var(--cor-escuro-1);
}
section.projetos a.mais {
    align-items: center;
    background-color: transparent;
    border: 1px solid var(--cor-azul-2);
    border-radius: 8px;
    box-shadow: 0 0 50px #0000ff3c;
    color: var(--cor-branco);
    display: flex;
    font-family: var(--estilo);
    font-size: var(--f2);
    justify-content: center;
    margin: 40px 0 0;
    padding: 10px;
    position: relative;
    transition: all .3s;
    overflow: hidden;
}
section.projetos a.mais span {
    background-color: var(--cor-azul-2);
    height: 1px;
    position: absolute;
    transition: background-color .3s, width 5s;
    width: 200%;
    z-index: 1;
}
section.projetos a.mais .conteudo {
    background-color: var(--cor-escuro-1);
    border: 1px solid var(--cor-azul-2);
    border-radius: 5px;
    padding: 15px;
    transition: all .3s;
    z-index: 2;
}
section.projetos a.mais:hover span {
    background-color: var(--cor-branco);
    width: 400%;
}
section.projetos a.mais:hover, section.projetos a.mais:hover .conteudo {
    border: 1px solid var(--cor-branco);
}
section.projetos a.mais:hover {
    box-shadow: 0 0 50px #ffffff3c;
}

/* Ferramentas */
section.ferramentas {
    align-items: center;
    background-color: var(--cor-azul-2);
    display: flex;
    justify-content: center;
    overflow: hidden;
    padding: 60px 40px 80px;
    position: relative;
}
section.ferramentas .sombra, section.ferramentas .vanta {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}
section.ferramentas .sombra {
    background: linear-gradient(0deg, #0000ff68, #00f0, #0000ff68);
    z-index: 3;
}
section.ferramentas .vanta { z-index: 2; }
section.ferramentas .titulo {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    margin: 0 0 0 300px;
    max-width: 300px;
    width: 100%;
    z-index: 4;
}
section.ferramentas .titulo h2 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f5);
    line-height: 1.1;
}
section.ferramentas .titulo p {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f2);
    line-height: 1.5;
    margin: 10px 0 15px;
}
section.ferramentas .titulo a {
    align-items: center;
    backdrop-filter: blur(10px);
    background: radial-gradient(50% 50% at 50% 0, hsla(0, 0%, 100%, .8) 0, transparent 100%), #fff3;
    border-radius: 8px;
    box-shadow: 0 -4px 16px #fff3;
    color: var(--cor-branco);
    display: flex;
    font-family: var(--estilo);
    font-size: var(--f2);
    justify-content: center;
    padding: 20px 25px;
    transition: all .3s;
}
section.ferramentas .titulo a:hover {
    background-color: #ffffffe6;
    box-shadow: 0 -4px 28px #ffffff4d;
    color: var(--cor-escuro-1);
}
section.ferramentas .opcoes {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    max-width: 300px;
    width: 100%;
    z-index: 4;
}
section.ferramentas .opcoes .item {
    backdrop-filter: blur(10px);
    border: 1px solid #ffffff40;
    border-radius: 10px;
    color: var(--cor-branco);
    font-family: var(--regular);
    font-size: var(--f2);
    justify-content: flex-start;
    margin: 5px 0;
    padding: 10px 25px 10px 10px;
    width: 100%;
    align-items: center;
    background-color: #ffffff20;
    display: flex;
}
section.ferramentas .opcoes .item .icone {
    align-items: center;
    background-color: #ffffff20;
    display: flex;
    border-radius: 5px;
    height: 40px;
    justify-content: center;
    margin: 0 10px 0 0;
    transition: all .3s;
    width: 40px;
}
section.ferramentas .opcoes .item svg {
    min-width: 15px;
    width: 15px;
    fill: var(--cor-branco);
}

/* Tecnologias */
section.tecnologias {
    align-items: center;
    background: linear-gradient(0deg, var(--cor-escuro-2), var(--cor-escuro-1));
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 80px 0 40px;
    width: 100%;
    overflow: hidden;
}
section.tecnologias .slide {
    align-items: flex-start;
    display: flex;
    justify-content: flex-start;
    overflow: hidden;
    width: 100%;
}
section.tecnologias .slide .conteudo {
    align-items: center;
    animation: movendoSlide 300s linear infinite;
    display: flex;
}
section.tecnologias .slide .conteudo img {
    margin: 0 20px;
    max-height: 20px;
}
section.tecnologias .titulo {
    display: flex;
    margin: 0 0 20px;
}
section.tecnologias .titulo h2 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f4);
    line-height: 1.4;
}

/* História (CTA) */
section.historia {
    align-items: center;
    display: flex;
    justify-content: center;
    min-height: 100vh;
    overflow: hidden;
    position: relative;
    width: 100%;
}
section.historia .sombra, section.historia .vanta {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}
section.historia .sombra {
    background: linear-gradient(0deg, var(--cor-azul-2), #0000ff00, var(--cor-azul-2));
    z-index: 3;
}
section.historia .vanta { z-index: 2; }
section.historia .titulo {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    z-index: 4;
}
section.historia h1 {
    background: linear-gradient(50deg, var(--degrade-texto));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: var(--estilo);
    font-size: var(--f7);
    line-height: 1.1;
    max-width: 500px;
    width: 100%;
}
section.historia p {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f2);
    margin: 15px 0 20px;
}
section.historia .botoes a.um {
    align-items: center;
    display: flex;
    background: radial-gradient(50% 50% at 50% 0, hsla(0, 0%, 100%, .8) 0, transparent 100%), #fff3;
    border-radius: 8px;
    box-shadow: 0 -4px 16px #fff3;
    color: var(--cor-branco);
    font-family: var(--estilo);
    font-size: var(--f2);
    justify-content: center;
    padding: 20px 25px;
    transition: all .3s;
}
section.historia .botoes a.um:hover {
    background-color: #ffffffe6;
    box-shadow: 0 -4px 28px #ffffff4d;
    color: var(--cor-escuro-1);
}

/* Footer */
footer {
    background: linear-gradient(0deg, var(--cor-azul-1), var(--cor-azul-2));
    display: flex;
    padding: 0 40px;
    position: relative;
    width: 100%;
}
footer svg.canto {
    bottom: 0;
    position: absolute;
    width: 30px;
    fill: var(--cor-escuro-1);
}
footer svg.canto.um { left: 10px; transform: scaleX(-1) scaleY(-1); }
footer svg.canto.dois { right: 10px; transform: scaleY(-1); }
footer .conteudo {
    background-color: var(--cor-escuro-1);
    border-radius: 20px 20px 0 0;
    display: flex;
    flex-wrap: wrap;
    padding: 40px 40px 20px;
    width: 100%;
}
footer .conteudo .parte {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    width: 18%;
}
footer .conteudo .parte:first-child { width: 28%; }
footer .conteudo .parte img {
    max-width: 120px;
    width: 100%;
}
footer .conteudo .parte h3 {
    color: var(--cor-branco);
    font-family: var(--bold);
    font-size: var(--f1);
}
footer .conteudo .parte p {
    line-height: 1.5;
    margin: 15px 0 0;
    max-width: 200px;
    width: 100%;
}
footer .conteudo .parte a, footer .conteudo .parte p {
    color: var(--cor-escuro-6);
    font-family: var(--regular);
    font-size: var(--f1);
}
footer .conteudo .parte a {
    align-items: center;
    display: flex;
    padding: 10px 0 0;
    transition: all .3s;
}
footer .conteudo .parte a:hover { color: var(--cor-branco); }
footer .conteudo .copy {
    align-items: center;
    border-top: 1px solid var(--cor-escuro-2);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 40px 0 0;
    padding: 20px 20px 0;
    width: 100%;
}
footer .conteudo .copy p {
    color: var(--cor-cinza-2);
    font-family: var(--regular);
    font-size: var(--f1);
    line-height: 1.5;
    text-align: center;
}

/* Media Queries para Responsividade */
@media screen and (max-width: 1000px) {
    nav {
        border-radius: 0 0 10px 10px;
        height: 50px;
        left: 30px;
        padding: 0 5px 0 15px;
        width: calc(100% - 60px);
    }
    nav .logo img { max-width: 110px; }
    nav .opcoes, nav button.menu { display: flex; }
    nav button.menu { display: flex; }
    nav .opcoes {
        align-items: flex-start;
        backdrop-filter: blur(20px);
        background-color: #ffffff20;
        border: 1px solid #ffffff40;
        border-radius: 10px;
        flex-direction: column;
        min-width: 210px;
        opacity: 0;
        padding: 10px 20px;
        pointer-events: none;
        position: fixed;
        right: 25px;
        top: 60px;
        transform: translateY(-30px);
        transition: all .3s;
        visibility: hidden;
        width: 210px;
        z-index: 4;
    }
    nav .opcoes.mostrar {
        opacity: 1;
        pointer-events: all;
        transform: translate(0);
        visibility: visible;
    }
    nav .opcoes a.opcao {
        color: var(--cor-branco);
        font-size: var(--f2);
        margin: 0;
        padding: 10px 0;
    }
    nav a.contato { display: none; } /* Esconde o botão de contato principal no menu */

    section.header { padding: 150px 30px; }
    section.header h1 { font-size: var(--f4); max-width: 300px; }
    section.header p { max-width: 250px; }
    section.header .botoes { flex-direction: column; }
    
    section.clientes { flex-direction: column; padding: 40px 0; }
    section.clientes .slides { width: 100%; }
    section.clientes .titulo { width: 100%; padding: 0 30px 30px; }
    
    section.projetos { padding: 60px 0 70px; }
    section.projetos .itens { flex-wrap: nowrap; overflow-x: scroll; padding: 0 30px; }
    section.projetos .item { margin: 0 15px 0 0; min-width: 290px; }
    
    section.ferramentas { flex-direction: column-reverse; padding: 50px 30px 30px; }
    section.ferramentas .titulo { margin: 0; max-width: 400px; }
    section.ferramentas .opcoes { max-width: 400px; padding: 200px 0 0; }

    section.tecnologias .titulo { padding: 0 30px 30px; text-align: center; }
    section.historia { padding: 60px 30px; }
    section.historia h1 { font-size: var(--f5); }
    
    footer .conteudo { padding: 30px 25px 20px; }
    footer .conteudo .parte { width: 100%; margin: 0 0 20px; }
    footer .conteudo .parte:first-child { width: 100%; }
}